Subject: bug#48925: [PATCH] Set `minibuffer-completion-*` variables buffer-locally in a few more places

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Nov 2021 10:57:10 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 12 Nov 2021 03:47:54 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I didn't say it will be a problem now.  But it's a time bomb waiting
> > to go off.  So I'd like to see if we could still do this in C.
> 
> It's possible, of course, but it does seem unlikely that we'd start
> using `read-string' during the early build.  (Especially since we're
> apparently not doing that now.)  I'm having a hard time imagining when
> there'd be a call to that function at that point.

The probability is low, indeed, but it isn't zero.

Given what Miha wrote, maybe we don't need to make any changes at all
here?